def afficher(arbre,marge=0):
   print(" " * marge + arbre[0])
   for subtree in arbre[1:]:
      afficher(subtree,marge+2)

arbre = [
  'A',
  ['B', ['E'], ['F'] ],
  ['C', ['G'], ['H'], ['I'] ],
  ['D']
]

afficher(arbre)